# Method: scores.list

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/scores/list#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/scores/list#try-it)

Lists the scores in a leaderboard, starting from the top.

### HTTP request

`GET https://games.googleapis.com/games/v1/leaderboards/{leaderboardId}/scores/{collection}`

### Path parameters

|                                                                               Parameters                                                                                ||
|-----------------|--------------------------------------------------------------------------------------------------------------------------------------------------------|
| `leaderboardId` | `string` The ID of the leaderboard.                                                                                                                    |
| `collection`    | `enum (`[ScoreCollection](https://developer.android.com/games/services/web/api/rest/v1/ScoreCollection)`)` The collection of scores you're requesting. |

### Query parameters

|                                                                                                 Parameters                                                                                                 ||
|--------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                                  |
| `timeSpan`   | `enum (`[ScoreTimeSpan](https://developer.android.com/games/services/web/api/rest/v1/scores#ScoreTimeSpan)`)` Required. The time span for the scores and ranks you're requesting.            |
| `maxResults` | `integer` The maximum number of leaderboard scores to return in the response. For any response, the actual number of leaderboard scores returned may be less than the specified`maxResults`. |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                                         |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[ListLeaderboardScoresResponse](https://developer.android.com/games/services/web/api/rest/v1/ListLeaderboardScoresResponse).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).